Bug 136779 - Misleading NFS mount denied error message
Misleading NFS mount denied error message
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-22 07:05 EDT by Warren Togami
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-31 16:13:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2004-10-22 07:05:46 EDT
Description of problem:
When you an attempt is made to mount a directory via NFS to a path not
permitted from the client address, the error message in
/var/log/messages is misleading and confusing.

Oct 22 00:58:30 wombat rpc.mountd: bad path in mount request from
172.31.16.236: "/home/warren"

Contrast this with the informative error message when a mount path is
not listed in /etc/exports.

Oct 22 01:03:31 wombat rpc.mountd: refused mount request from
ibmlaptop.lan for /home/builder (/): not exported

The former error message should something like say:

Oct 22 00:58:30 wombat rpc.mountd: refused mount request from
172.31.16.236: for "/home/warren": host not allowed

Version-Release number of selected component (if applicable):
nfs-utils-1.0.6-39
Comment 1 Steve Dickson 2005-10-31 16:13:04 EST
This is fixed in later version of nfs-utils

Note You need to log in before you can comment on or make changes to this bug.